#pragma once

#include <maps/wikimap/mapspro/services/mrc/eye/lib/detection/include/match.h>

namespace maps::mrc::eye {

bool hasCommonFrame(
    const FrameDetectionId& fdId,
    const FrameDetectionIdSet& fdIds);

bool hasCommonFrame(
    const FrameDetectionIdSet& lhs,
    const FrameDetectionIdSet& rhs);

} // namespace maps::mrc::eye
